org.apache.groovy.internal.util

## Class ReevaluatingReference<T>

- java.lang.Object
- - org.apache.groovy.internal.util.ReevaluatingReference<T>

-     @Incubating
      public class ReevaluatingReference<T>
      extends java.lang.Object

  This class represents a reference to the most actual incarnation of a Metaclass. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReevaluatingReference(java.lang.Class clazz, Supplier<T> valueSupplier, Function<T,java.lang.invoke.SwitchPoint> validationSupplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getPayload()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReevaluatingReference

          public ReevaluatingReference(java.lang.Class clazz,
                                       Supplier<T> valueSupplier,
                                       Function<T,java.lang.invoke.SwitchPoint> validationSupplier)

  - ### Method Detail

    - #### getPayload

          public T getPayload()